Package org.bukkit.event.player

# Class PlayerResourcePackStatusEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerResourcePackStatusEvent

public class PlayerResourcePackStatusEvent extends PlayerEvent
Called when a player takes action on a resource pack request sent via `Player.setResourcePack(java.lang.String)`.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`PlayerResourcePackStatusEvent.Status`
Status of the resource pack.

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerResourcePackStatusEvent(@NotNull Player who, @NotNull PlayerResourcePackStatusEvent.Status resourcePackStatus)`
`PlayerResourcePackStatusEvent(Player who, PlayerResourcePackStatusEvent.Status resourcePackStatus, String hash)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`String`
`getHash()`
Deprecated.
`@NotNull PlayerResourcePackStatusEvent.Status`
`getStatus()`
Gets the status of this pack.

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerResourcePackStatusEvent

public PlayerResourcePackStatusEvent(@NotNull @NotNull Player who, @NotNull @NotNull PlayerResourcePackStatusEvent.Status resourcePackStatus)

### PlayerResourcePackStatusEvent

@Deprecated public PlayerResourcePackStatusEvent(Player who, PlayerResourcePackStatusEvent.Status resourcePackStatus, String hash)
Deprecated.

## Method Details

### getHash

@Deprecated public String getHash()
Deprecated.

### getStatus

@NotNull public @NotNull PlayerResourcePackStatusEvent.Status getStatus()
Gets the status of this pack.

Returns:
  the current status

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()